Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataFilter
Class RowNameFilter

    java.lang.Object
      baseCode.dataFilter.AbstractFilter
          baseCode.dataFilter.RowNameFilter

All Implemented Interfaces:
  Filter

public class RowNameFilter
extends AbstractFilter
implements Filter

Remove or retain rows that are on a list.

Version:
  $Id: RowNameFilter.java,v 1.10 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Field Summary

Fields inherited from class baseCode.dataFilter.AbstractFilter
`log`

Constructor Summary
`RowNameFilter()`
`RowNameFilter(java.util.Set namesToFilter)`
`RowNameFilter(java.util.Set namesToFilter, boolean exclude)`

Method Summary
`NamedMatrix` | `filter(NamedMatrix data)` Filter according to row names.
`void` | `setFilterNames(java.util.Set namesToFilter, boolean exclude)`

Methods inherited from class baseCode.dataFilter.AbstractFilter
`getOutputMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowNameFilter

    public RowNameFilter(java.util.Set namesToFilter,
                         boolean exclude)

Parameters:
  `namesToFilter` -
  `exclude` - Set to true if you want the list to indicate items to be skipped, rather than selected.

### RowNameFilter

    public RowNameFilter(java.util.Set namesToFilter)

Parameters:
  `namesToFilter` -

### RowNameFilter

    public RowNameFilter()

Method Detail

### setFilterNames

    public void setFilterNames(java.util.Set namesToFilter,
                               boolean exclude)

### filter

    public NamedMatrix filter(NamedMatrix data)

  Filter according to row names.

  Specified by:
    `filter` in interface `Filter`
  Parameters:
    `data` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.